epp_dcpAccessType (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epprtk.epp_dcpAccessType class

### org.openrtk.idl.epprtk

# Class epp_dcpAccessType

- `java.lang.Object`
- - `org.openrtk.idl.epprtk.epp_dcpAccessType`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_dcpAccessType`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class defining constant instances of data collection policy access types which describes access provided by the server to data received from the client. Six access types are defined: ALL, NONE, NULL_ACCESS, OTHER, PERSONAL, and PERSONAL_AND_OTHER. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epprtk/epp_dcpAccessType.java,v 1.1 2004/12/07 15:27:49 ewang2004 Exp $
$Revision: 1.1 $
$Date: 2004/12/07 15:27:49 $

See Also:
  `epp_DataCollectionPolicy`, `EPPGreeting`

  ## Field Summary
  `static epp_dcpAccessType` | `ALL` Instance of epp_dcpAccessType representing the ALL access type.
  `static epp_dcpAccessType` | `NONE_ACCESS` Instance of epp_dcpAccessType representing the NONE_ACCESS access type.
  `static epp_dcpAccessType` | `NULL_ACCESS` Instance of epp_dcpAccessType representing the NULL_ACCESS access type.
  `static epp_dcpAccessType` | `OTHER` Instance of epp_dcpAccessType representing the OTHER access type.
  `static epp_dcpAccessType` | `PERSONAL` Instance of epp_dcpAccessType representing the PERSONAL access type.
  `static epp_dcpAccessType` | `PERSONAL_AND_OTHER` Instance of epp_dcpAccessType representing the PERSONAL_AND_OTHER access type.
  `static int` | `_ALL` Integer value representing the ALL access type.
  `static int` | `_NONE_ACCESS` Integer value representing the NONE_ACCESS access type.
  `static int` | `_NULL_ACCESS` Integer value representing the NULL_ACCESS access type.
  `static int` | `_OTHER` Integer value representing the OTHER access type.
  `static int` | `_PERSONAL` Integer value representing the PERSONAL access type.
  `static int` | `_PERSONAL_AND_OTHER` Integer value representing the PERSONAL_AND_OTHER access type.

  ## Constructor Summary
  `epp_dcpAccessType(int value)` For internal use only.

  ## Method Summary
  `static epp_dcpAccessType` | `from_int(int value)` Transform an integer into a epp_dcpAccessType constant.
  `String` | `toString()`
  `int` | `value()` Accessor method for the internal integer representing the access type.

## Field Details

### ALL

    public static final epp_dcpAccessType ALL

> Instance of epp_dcpAccessType representing the ALL access type.

### NONE_ACCESS

    public static final epp_dcpAccessType NONE_ACCESS

> Instance of epp_dcpAccessType representing the NONE_ACCESS access type.

### NULL_ACCESS

    public static final epp_dcpAccessType NULL_ACCESS

> Instance of epp_dcpAccessType representing the NULL_ACCESS access type.

### OTHER

    public static final epp_dcpAccessType OTHER

> Instance of epp_dcpAccessType representing the OTHER access type.

### PERSONAL

    public static final epp_dcpAccessType PERSONAL

> Instance of epp_dcpAccessType representing the PERSONAL access type.

### PERSONAL_AND_OTHER

    public static final epp_dcpAccessType PERSONAL_AND_OTHER

> Instance of epp_dcpAccessType representing the PERSONAL_AND_OTHER access type.

### _ALL

    public static final int _ALL

> Integer value representing the ALL access type.
> Field Value:
>   0
> See Also:
>   `ALL`

### _NONE_ACCESS

    public static final int _NONE_ACCESS

> Integer value representing the NONE_ACCESS access type.
> Field Value:
>   1
> See Also:
>   `NONE_ACCESS`

### _NULL_ACCESS

    public static final int _NULL_ACCESS

> Integer value representing the NULL_ACCESS access type.
> Field Value:
>   2
> See Also:
>   `NULL_ACCESS`

### _OTHER

    public static final int _OTHER

> Integer value representing the OTHER access type.
> Field Value:
>   3
> See Also:
>   `OTHER`

### _PERSONAL

    public static final int _PERSONAL

> Integer value representing the PERSONAL access type.
> Field Value:
>   4
> See Also:
>   `PERSONAL`

### _PERSONAL_AND_OTHER

    public static final int _PERSONAL_AND_OTHER

> Integer value representing the PERSONAL_AND_OTHER access type.
> Field Value:
>   4
> See Also:
>   `PERSONAL_AND_OTHER`

## Constructor Details

### epp_dcpAccessType

    protected epp_dcpAccessType(int value)

> For internal use only. Initializes the internal access type array.
> Parameters:
>   `value` - The integer value for the desired access type

## Method Details

### from_int

    public static epp_dcpAccessType from_int(int value)

> Transform an integer into a epp_dcpAccessType constant. Given the integer representation of the access type, returns one of the access type constants.
> Parameters:
>   `value` - The integer value for the desired access type

### toString

    public String toString()

### value

    public int value()

> Accessor method for the internal integer representing the access type.
> Returns:
>   The integer value of this access type

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS